<template>
  <template v-if="!appDownload.IsHidden">
    <section id="game_title_banner" class="w-full h-[110px] relative">
      <img
        :src="
          getAssetImage(
            'assets/theme/light_flexible_1/desktop/images/home_game_banner.png'
          )
        "
        alt="decoration style"
        loading="lazy"
      />
      <div class="banner__title w-[308px] absolute left-[37.5%] top-7">
        <h2 class="text-4xl text-center text-blue-500 drop-shadow-lg">
          {{ $t("app_download") }}
        </h2>
      </div>
    </section>
    <div
      class="app-download-container flex justify-around items-center container mx-auto"
    >
      <div>
        <generate-qr-app-download :qrCodeLink="getAppDownloadUrl" />
      </div>
      <div class="image">
        <img
          class="w-full h-full object-contain"
          v-lazy="appDownload.ImagePath"
          alt="AppDownload"
        />
      </div>
    </div>
  </template>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { useHeaderComponent } from "@/composables/useTheme";

export default defineComponent({
  name: "Home",
  setup() {
    const { appDownload, getAppDownloadUrl } = useHeaderComponent();
    const { getAssetImage } = commonHelper;
    return {
      appDownload,
      getAppDownloadUrl,
      getAssetImage,
    };
  },
});
</script>
<style scoped>
.app-download-container .image {
  width: 500px;
  height: 450px;
}
</style>
